%define pkgname Event-ExecFlow
%define filelist %{pkgname}-%{upstream_version}-filelist
%define NVR %{pkgname}-%{upstream_version}-%{release}
%define maketest 1
%define upstream_version 0.64

Name:      perl-Event-ExecFlow
Summary:   Event-RPC - High level API for event-based execution flow control

Version:   %perl_convert_version %upstream_version
Release:   5
License:   Artistic
Group:     Development/Perl
URL:       http://www.exit1.org/Event-ExecFlow/
SOURCE:    http://search.cpan.org/CPAN/authors/id/J/JR/JRED/Event-ExecFlow-%upstream_version.tar.bz2
Buildarch: noarch
BuildRequires: perl-devel
BuildRequires: perl-AnyEvent
BuildRequires: perl-libintl-perl

%description
Event::ExecFlow provides a ligh level API for defining complex flow
controls with asynchronous execution of external programs.

%prep
%setup -q -n %{pkgname}-%{upstream_version} 
chmod -R u+w %{_builddir}/%{pkgname}-%{upstream_version}

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="%{optflags}"
%{__perl} Makefile.PL `%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '` INSTALLDIRS=vendor
%make 
%check
chmod 755 bin/*
%make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{makeinstall} `%{__perl} -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%doc README Changes
%{_bindir}/execflow
%{perl_vendorlib}/Event/ExecFlow*
%{_mandir}/man3/Event::ExecFlow*




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.640.0-5
+ Revision: 14a9a6f
- MassBuild#440: Increase release tag


